import { HttpClient } from '@angular/common/http';
import { ApiVisa, BaseApiTemplateService } from "../../shared";
export declare class FiItemMasterDataService extends BaseApiTemplateService<any> {
    readonly url: string;
    constructor(http: HttpClient);
    fiItemdownloadCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
    fiItemRelationshipDownloadCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
    fiItemGlCodedownloadCSV(authorization: string, apiVisa: ApiVisa): Promise<Blob>;
    fiItemCategorydownloadCSV(apiVisa: ApiVisa): import("rxjs").Observable<Object>;
    fiItemByNamedownloadCSV(fileName: string, authorization: string, apiVisa: ApiVisa): Promise<Blob>;
}
